cURL
curl --request GET \
--url https://test.deribit.com/api/v2/private/invalidate_block_trade_signature \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 1,
"method": "private/invalidate_block_trade_signature",
"params": {
"signature": "1565173369982.1M9tO0Q-.z9n9WyZUU5op9pEz6Jtd2CI71QxQMMsCZAexnIfK9HQRT1pKH3clxeIbY7Bqm-yMcWIoE3IfCDPW5VEdiN-6oS0YkKUyXPD500MUf3ULKhfkmH81EZs"
}
}
'import requests
url = "https://test.deribit.com/api/v2/private/invalidate_block_trade_signature"
payload = {
"jsonrpc": "2.0",
"id": 1,
"method": "private/invalidate_block_trade_signature",
"params": { "signature": "1565173369982.1M9tO0Q-.z9n9WyZUU5op9pEz6Jtd2CI71QxQMMsCZAexnIfK9HQRT1pKH3clxeIbY7Bqm-yMcWIoE3IfCDPW5VEdiN-6oS0YkKUyXPD500MUf3ULKhfkmH81EZs" }
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 1,
method: 'private/invalidate_block_trade_signature',
params: {
signature: '1565173369982.1M9tO0Q-.z9n9WyZUU5op9pEz6Jtd2CI71QxQMMsCZAexnIfK9HQRT1pKH3clxeIbY7Bqm-yMcWIoE3IfCDPW5VEdiN-6oS0YkKUyXPD500MUf3ULKhfkmH81EZs'
}
})
};
fetch('https://test.deribit.com/api/v2/private/invalidate_block_trade_signature', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 1569,
"result": "ok"
}Block Trade
private/invalidate_block_trade_signature
Invalidates a block trade signature, effectively cancelling the block trade. This can be called at any time before private/execute_block_trade is called.
๐ Related Article: Block Trading
Scope: block_trade:read_write
cURL
Query Parameters
Signature of block trade that will be invalidated
Signature of block trade
It is valid only for 5 minutes around given timestamp
Example:
"1565173369982.1M9tO0Q-.z9n9WyZUU5op9pEz6Jtd2CI71QxQMMsCZAexnIfK9HQRT1pKH3clxeIbY7Bqm-yMcWIoE3IfCDPW5VEdiN-6oS0YkKUyXPD500MUf3ULKhfkmH81EZs"
Was this page helpful?
โI